/*
* cmh_util.h
*/

// function prototypes
uint8_t bcd_to_hex(const uint8_t bcd);
uint8_t hex_to_bcd(const uint8_t hex);
uint8_t time_after(const uint8_t time1_hour, const uint8_t time1_min, const uint8_t time2_hour, const uint8_t time2_min);
void show_2dig_dec(uint8_t value);
void get_date_time(void);
uint16_t DS3231_get_temperature(void);
void set_display_light(uint8_t light_level);
void set_LED_level(uint8_t LED_level);
void check_amb_light_status(void);
void check_batt_status(void);
void update_LED_status(void);
void update_mp3_status(void);
void mp3_sequencer(void);
void switch_mp3_on(void);
void switch_mp3_off(void);
void update_hatch_status(void);
void hatch_switch_on(void);
void hatch_switch_off(void);
void hatch_sequencer(void);
void log_temperature(void);






